Java Portable?

Discussion in 'Application Software' started by MonarchX, Oct 15, 2017.

  1. MonarchX

    MonarchX MDL Expert

    May 5, 2007
    1,609
    270
    60
    For the first time in years I came across some some needed software that requires Java and Java being the bloatware it is, is not on my list of program I would like to install...

    Is there some sort of Portable Java or some slim program for opening JAR files?
     
    Stop hovering to collapse... Click to collapse... Hover to expand... Click to expand...
  2. sebus

    sebus MDL Guru

    Jul 23, 2008
    6,037
    1,842
    210
    No need to install it, just get jre1.8.0_xxx folder
     
  3. kaljukass

    kaljukass MDL Expert

    Nov 26, 2012
    1,319
    463
    60
    What You want to do - to run .jar files or open? If to open, use 7z or WinRar, what the problem.
     
    Stop hovering to collapse... Click to collapse... Hover to expand... Click to expand...
  4. MonarchX

    MonarchX MDL Expert

    May 5, 2007
    1,609
    270
    60
    I need to run it for sure!
     
    Stop hovering to collapse... Click to collapse... Hover to expand... Click to expand...
  5. maddogster

    maddogster MDL Member

    Mar 23, 2015
    139
    35
    10
    java quarterly update today for v8 and v9 so above is full of security holes and will need to be updated :)
     
  6. Mr.X

    Mr.X MDL Guru

    Jul 14, 2013
    6,410
    14,132
    210
    @MonarchX

    Just for courtesy, could you post feedback on what I suggested above?
     
  7. Chibi ANUBIS

    Chibi ANUBIS MDL Chibi Developer

    Apr 28, 2014
    845
    488
    30
    Stop hovering to collapse... Click to collapse... Hover to expand... Click to expand...
  8. maelcum

    maelcum MDL Novice

    Mar 19, 2011
    22
    39
    0
    Hei.
    It's been a while since I needed Java. At that time it was a good recommendation to install both versions, 32bit as well as 64bit. Does that still hold true today?
     
  9. sebus

    sebus MDL Guru

    Jul 23, 2008
    6,037
    1,842
    210
    Yes, unless you only run 64-bit browser, then only 64-bit Java is needed
     
  10. maddogster

    maddogster MDL Member

    Mar 23, 2015
    139
    35
    10
    no 32 bit version for java 9.0.1 or v 9.0.0
     
  11. maddogster

    maddogster MDL Member

    Mar 23, 2015
    139
    35
    10
    they are already in beta of v10 alpha :)